<template>
  <div class="main-content illegal-print">
    <div class="content-header">
      <span class="title">列入严重违法失信企业名录异议核实结果告知书</span>
      <div class="back-btn">
        <el-button type="primary" size="mini" @click="printCurrent">打印当前页</el-button>
        <el-button type="primary" size="mini" @click="printAll">全部打印</el-button>
        <!-- <el-button type="warning" icon="el-icon-caret-left" size="mini" @click="$router.back()">返回上一层</el-button> -->
      </div>
    </div>
    <div id="content-body" class="content-body">
      <div class="preview-box">
        <paper-swiper ref="swiper">
          <paper v-for="(each, index) in paperInfo" :key="index" style="width:700px;line-height:30px;font-family:'宋体'">
            <!--标题-->
            <div style="font-size:25px;text-align:center;font-weight:bold">
              <span style="text-decoration:underline">{{ each.decOrgName ? each.decOrgName : '广州市市场监督管理局' }}</span><br>
              <span>列入严重违法失信企业名单异议</span><br>
              <span>核实结果告知书</span>
            </div>
            <br>
            <!--副标题，决定书号-->
            <div style="text-align:center;font-size:12px;transform: scale(0.8)">
              <h2 style="font-weight:normal">（&nbsp;{{ each.writNo }}&nbsp;）</h2>
            </div>
            <br>
            <br>
            <!--主内容-->
            <div style="font-size:16px">
              <span style="text-decoration:underline">&nbsp;{{ each.entname }}：&nbsp;</span>
              <br>
              <p style="text-indent: 2em;"><span>关于你单位提交的列入经营异常名录异议申请，经核实，</span><span id="result" contenteditable="true">{{ each.result }}</span></p>
              <br>
              <span style="float:right">（印章）</span>
              <br>
              <span style="float:right"><font style="text-decoration:underline" contenteditable="true">{{ each.decOrgName ? each.decOrgName : '广州市市场监督管理局' }}</font>章</span>
              <br>
              <span style="float:right"><font style="text-decoration:underline" contenteditable="true">&nbsp;{{ each.year }}&nbsp;</font>年
                <font style="text-decoration:underline" contenteditable="true">&nbsp;{{ each.month }}&nbsp;</font>月
                <font style="text-decoration:underline" contenteditable="true">&nbsp;{{ each.day }}&nbsp;</font>日
              </span>
              <br>
              <div id="saveBtn" style="display: inline-block;">
                <el-button size="medium" @click="saveContent(each.writsid)">保存</el-button>
              </div>
              <br>
              <br>
              <br>
            </div>
          </paper>
        </paper-swiper>
      </div>
    </div>
  </div>
</template>

<script>
import { getIllegalDissentResultWrit, updateDissWrit } from '@/api/illegal'
export default {
  data() {
    return {
      workflowId: '',
      opinioncontent: '111',
      tableDataList: [1, 2],
      paperInfo: [],
      isPlaceholder: true
    }
  },
  mounted() {
    this.bizseq = this.$route.query.bizseq
    // 获取文书信息
    getIllegalDissentResultWrit(this.bizseq).then(res => {
      if (res.code === 0) {
        this.paperInfo = res.data
        this.paperInfo.forEach(each => {
          const dateArray = this.$util.formatDate.format(new Date(Date.parse(each.lauptime)), 'yyyy-MM-dd').split('-')
          each.result = this.$util.isEmpty(each.result) ? '手动编辑输入' : each.result
          each.year = dateArray[0]
          each.month = dateArray[1]
          each.day = dateArray[2]
        })
      }
    })
  },
  methods: {
    saveContent(writsid) {
      updateDissWrit({
        writsid: writsid,
        content: document.getElementById('result').innerText
      }).then(res => {
        if (res.data === true) {
          this.$message.success('保存成功')
        }
      })
    },
    printCurrent() {
      var child = document.getElementById('saveBtn')
      child.parentNode.removeChild(child)
      const swiper = this.$refs.swiper
      const page = swiper.getPaperElement()

      const printHtml = page.outerHTML// 获取到要打印的节点内容
      // 打开新窗口
      const newWindow = window.open('打印', '_blank')
      newWindow.document.write(printHtml)
      // 关闭文档
      newWindow.document.close()
      // 调用打印机
      newWindow.print()
      newWindow.close()
    },
    printAll() {
      let html = ''
      const swiper = this.$refs.swiper
      for (let i = 0; i < this.paperInfo.length; i++) {
        const page = swiper.getPaperElement(i)
        const printHtml = page.outerHTML
        html += printHtml
      }
      const style = '<style type="text/css">body>div:not(:first-child){margin-top:600px}</style>'
      html += style
      // 打开新窗口
      const newWindow = window.open('打印', '_blank')
      newWindow.document.write(html)
      // 关闭文档
      newWindow.document.close()
      // 调用打印机
      newWindow.print()
      newWindow.close()
    }
  }
}
</script>
<style lang='scss' scoped>
.main-content{
  padding: 10pt;
    .back-btn{
    display: inline-block;
    position: absolute;
    right: 40pt;
  }
  .content-header,.content-body{
    background: white;
    padding:20PX 10PX;
    border:1PX solid #eee;
  }
  .content-header{
    height:60PX;
    .title{
      font-weight: 700;
      font-size: $font-size-sub-title;
    }
  }
  .content-body{
    padding:20pt;
      .tab{
        .tab-title{
          label{
            background: $color-primary;
            display:inline-block;
            color:$color-title-color;
            padding:5px;
          }
        }
      }
    .form{
      margin-bottom: 20pt;
    }
  }
}
</style>
